curl --request POST \
--url https://app.aiinsurance.io/api/external/companies/{companyId}/brokerages \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "New Insurance Agency",
"commissionPaymentMethod": "agencyBill"
}
'{
"id": "550e8400-e29b-41d4-a716-446655440003"
}Brokerages
Create Brokerage
Creates a new brokerage.
Required fields:
name- Brokerage namecommissionPaymentMethod- How commissions are handled
Optional fields:
niprBrokerageNumber- NIPR brokerage numberemail- Brokerage email addressaddressStructured- Structured address objectphone- Phone numberdefaultCommissionPercentage- Default commission percentage
Required permission: company.brokerage:create
POST
/
api
/
external
/
companies
/
{companyId}
/
brokerages
curl --request POST \
--url https://app.aiinsurance.io/api/external/companies/{companyId}/brokerages \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "New Insurance Agency",
"commissionPaymentMethod": "agencyBill"
}
'{
"id": "550e8400-e29b-41d4-a716-446655440003"
}Authorizations
API key authentication. Include your API key in the Authorization header.
Path Parameters
Company identifier
Body
application/json
Brokerage name
Method for handling commission payments
Available options:
agencyBill, directBill, doNotHandle NIPR brokerage number
Brokerage email address
Structured address information
Show child attributes
Show child attributes
Phone number
Default commission percentage for this brokerage
Response
Brokerage created successfully
The ID of the created brokerage
Was this page helpful?
